Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network174.78.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
174.78.0.0
Broadcast address
174.78.127.255
First usable
174.78.0.1
Last usable
174.78.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex AE4E0000 · Integer 2924347392 to 2924380159
Reverse DNS zones
0.78.174.in-addr.arpa
1.78.174.in-addr.arpa
2.78.174.in-addr.arpa
3.78.174.in-addr.arpa
4.78.174.in-addr.arpa
5.78.174.in-addr.arpa
6.78.174.in-addr.arpa
7.78.174.in-addr.arpa
8.78.174.in-addr.arpa
9.78.174.in-addr.arpa
10.78.174.in-addr.arpa
11.78.174.in-addr.arpa
12.78.174.in-addr.arpa
13.78.174.in-addr.arpa
14.78.174.in-addr.arpa
15.78.174.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101110.01001110.00000000.00000000174.78.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10101110.01001110.00000000.00000000174.78.0.0
Broadcast10101110.01001110.01111111.11111111174.78.127.255
Split into smaller subnets/26

174.78.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1174.78.0.0/26174.78.0.1 to 174.78.0.62174.78.0.6362
2174.78.0.64/26174.78.0.65 to 174.78.0.126174.78.0.12762
3174.78.0.128/26174.78.0.129 to 174.78.0.190174.78.0.19162
4174.78.0.192/26174.78.0.193 to 174.78.0.254174.78.0.25562
5174.78.1.0/26174.78.1.1 to 174.78.1.62174.78.1.6362
6174.78.1.64/26174.78.1.65 to 174.78.1.126174.78.1.12762
7174.78.1.128/26174.78.1.129 to 174.78.1.190174.78.1.19162
8174.78.1.192/26174.78.1.193 to 174.78.1.254174.78.1.25562
9174.78.2.0/26174.78.2.1 to 174.78.2.62174.78.2.6362
10174.78.2.64/26174.78.2.65 to 174.78.2.126174.78.2.12762
11174.78.2.128/26174.78.2.129 to 174.78.2.190174.78.2.19162
12174.78.2.192/26174.78.2.193 to 174.78.2.254174.78.2.25562
13174.78.3.0/26174.78.3.1 to 174.78.3.62174.78.3.6362
14174.78.3.64/26174.78.3.65 to 174.78.3.126174.78.3.12762
15174.78.3.128/26174.78.3.129 to 174.78.3.190174.78.3.19162
16174.78.3.192/26174.78.3.193 to 174.78.3.254174.78.3.25562
17174.78.4.0/26174.78.4.1 to 174.78.4.62174.78.4.6362
18174.78.4.64/26174.78.4.65 to 174.78.4.126174.78.4.12762
19174.78.4.128/26174.78.4.129 to 174.78.4.190174.78.4.19162
20174.78.4.192/26174.78.4.193 to 174.78.4.254174.78.4.25562
21174.78.5.0/26174.78.5.1 to 174.78.5.62174.78.5.6362
22174.78.5.64/26174.78.5.65 to 174.78.5.126174.78.5.12762
23174.78.5.128/26174.78.5.129 to 174.78.5.190174.78.5.19162
24174.78.5.192/26174.78.5.193 to 174.78.5.254174.78.5.25562
25174.78.6.0/26174.78.6.1 to 174.78.6.62174.78.6.6362
26174.78.6.64/26174.78.6.65 to 174.78.6.126174.78.6.12762
27174.78.6.128/26174.78.6.129 to 174.78.6.190174.78.6.19162
28174.78.6.192/26174.78.6.193 to 174.78.6.254174.78.6.25562
29174.78.7.0/26174.78.7.1 to 174.78.7.62174.78.7.6362
30174.78.7.64/26174.78.7.65 to 174.78.7.126174.78.7.12762
31174.78.7.128/26174.78.7.129 to 174.78.7.190174.78.7.19162
32174.78.7.192/26174.78.7.193 to 174.78.7.254174.78.7.25562
33174.78.8.0/26174.78.8.1 to 174.78.8.62174.78.8.6362
34174.78.8.64/26174.78.8.65 to 174.78.8.126174.78.8.12762
35174.78.8.128/26174.78.8.129 to 174.78.8.190174.78.8.19162
36174.78.8.192/26174.78.8.193 to 174.78.8.254174.78.8.25562
37174.78.9.0/26174.78.9.1 to 174.78.9.62174.78.9.6362
38174.78.9.64/26174.78.9.65 to 174.78.9.126174.78.9.12762
39174.78.9.128/26174.78.9.129 to 174.78.9.190174.78.9.19162
40174.78.9.192/26174.78.9.193 to 174.78.9.254174.78.9.25562
41174.78.10.0/26174.78.10.1 to 174.78.10.62174.78.10.6362
42174.78.10.64/26174.78.10.65 to 174.78.10.126174.78.10.12762
43174.78.10.128/26174.78.10.129 to 174.78.10.190174.78.10.19162
44174.78.10.192/26174.78.10.193 to 174.78.10.254174.78.10.25562
45174.78.11.0/26174.78.11.1 to 174.78.11.62174.78.11.6362
46174.78.11.64/26174.78.11.65 to 174.78.11.126174.78.11.12762
47174.78.11.128/26174.78.11.129 to 174.78.11.190174.78.11.19162
48174.78.11.192/26174.78.11.193 to 174.78.11.254174.78.11.25562
49174.78.12.0/26174.78.12.1 to 174.78.12.62174.78.12.6362
50174.78.12.64/26174.78.12.65 to 174.78.12.126174.78.12.12762
51174.78.12.128/26174.78.12.129 to 174.78.12.190174.78.12.19162
52174.78.12.192/26174.78.12.193 to 174.78.12.254174.78.12.25562
53174.78.13.0/26174.78.13.1 to 174.78.13.62174.78.13.6362
54174.78.13.64/26174.78.13.65 to 174.78.13.126174.78.13.12762
55174.78.13.128/26174.78.13.129 to 174.78.13.190174.78.13.19162
56174.78.13.192/26174.78.13.193 to 174.78.13.254174.78.13.25562
57174.78.14.0/26174.78.14.1 to 174.78.14.62174.78.14.6362
58174.78.14.64/26174.78.14.65 to 174.78.14.126174.78.14.12762
59174.78.14.128/26174.78.14.129 to 174.78.14.190174.78.14.19162
60174.78.14.192/26174.78.14.193 to 174.78.14.254174.78.14.25562
61174.78.15.0/26174.78.15.1 to 174.78.15.62174.78.15.6362
62174.78.15.64/26174.78.15.65 to 174.78.15.126174.78.15.12762
63174.78.15.128/26174.78.15.129 to 174.78.15.190174.78.15.19162
64174.78.15.192/26174.78.15.193 to 174.78.15.254174.78.15.25562
65174.78.16.0/26174.78.16.1 to 174.78.16.62174.78.16.6362
66174.78.16.64/26174.78.16.65 to 174.78.16.126174.78.16.12762
67174.78.16.128/26174.78.16.129 to 174.78.16.190174.78.16.19162
68174.78.16.192/26174.78.16.193 to 174.78.16.254174.78.16.25562
69174.78.17.0/26174.78.17.1 to 174.78.17.62174.78.17.6362
70174.78.17.64/26174.78.17.65 to 174.78.17.126174.78.17.12762
71174.78.17.128/26174.78.17.129 to 174.78.17.190174.78.17.19162
72174.78.17.192/26174.78.17.193 to 174.78.17.254174.78.17.25562
73174.78.18.0/26174.78.18.1 to 174.78.18.62174.78.18.6362
74174.78.18.64/26174.78.18.65 to 174.78.18.126174.78.18.12762
75174.78.18.128/26174.78.18.129 to 174.78.18.190174.78.18.19162
76174.78.18.192/26174.78.18.193 to 174.78.18.254174.78.18.25562
77174.78.19.0/26174.78.19.1 to 174.78.19.62174.78.19.6362
78174.78.19.64/26174.78.19.65 to 174.78.19.126174.78.19.12762
79174.78.19.128/26174.78.19.129 to 174.78.19.190174.78.19.19162
80174.78.19.192/26174.78.19.193 to 174.78.19.254174.78.19.25562
81174.78.20.0/26174.78.20.1 to 174.78.20.62174.78.20.6362
82174.78.20.64/26174.78.20.65 to 174.78.20.126174.78.20.12762
83174.78.20.128/26174.78.20.129 to 174.78.20.190174.78.20.19162
84174.78.20.192/26174.78.20.193 to 174.78.20.254174.78.20.25562
85174.78.21.0/26174.78.21.1 to 174.78.21.62174.78.21.6362
86174.78.21.64/26174.78.21.65 to 174.78.21.126174.78.21.12762
87174.78.21.128/26174.78.21.129 to 174.78.21.190174.78.21.19162
88174.78.21.192/26174.78.21.193 to 174.78.21.254174.78.21.25562
89174.78.22.0/26174.78.22.1 to 174.78.22.62174.78.22.6362
90174.78.22.64/26174.78.22.65 to 174.78.22.126174.78.22.12762
91174.78.22.128/26174.78.22.129 to 174.78.22.190174.78.22.19162
92174.78.22.192/26174.78.22.193 to 174.78.22.254174.78.22.25562
93174.78.23.0/26174.78.23.1 to 174.78.23.62174.78.23.6362
94174.78.23.64/26174.78.23.65 to 174.78.23.126174.78.23.12762
95174.78.23.128/26174.78.23.129 to 174.78.23.190174.78.23.19162
96174.78.23.192/26174.78.23.193 to 174.78.23.254174.78.23.25562
97174.78.24.0/26174.78.24.1 to 174.78.24.62174.78.24.6362
98174.78.24.64/26174.78.24.65 to 174.78.24.126174.78.24.12762
99174.78.24.128/26174.78.24.129 to 174.78.24.190174.78.24.19162
100174.78.24.192/26174.78.24.193 to 174.78.24.254174.78.24.25562
101174.78.25.0/26174.78.25.1 to 174.78.25.62174.78.25.6362
102174.78.25.64/26174.78.25.65 to 174.78.25.126174.78.25.12762
103174.78.25.128/26174.78.25.129 to 174.78.25.190174.78.25.19162
104174.78.25.192/26174.78.25.193 to 174.78.25.254174.78.25.25562
105174.78.26.0/26174.78.26.1 to 174.78.26.62174.78.26.6362
106174.78.26.64/26174.78.26.65 to 174.78.26.126174.78.26.12762
107174.78.26.128/26174.78.26.129 to 174.78.26.190174.78.26.19162
108174.78.26.192/26174.78.26.193 to 174.78.26.254174.78.26.25562
109174.78.27.0/26174.78.27.1 to 174.78.27.62174.78.27.6362
110174.78.27.64/26174.78.27.65 to 174.78.27.126174.78.27.12762
111174.78.27.128/26174.78.27.129 to 174.78.27.190174.78.27.19162
112174.78.27.192/26174.78.27.193 to 174.78.27.254174.78.27.25562
113174.78.28.0/26174.78.28.1 to 174.78.28.62174.78.28.6362
114174.78.28.64/26174.78.28.65 to 174.78.28.126174.78.28.12762
115174.78.28.128/26174.78.28.129 to 174.78.28.190174.78.28.19162
116174.78.28.192/26174.78.28.193 to 174.78.28.254174.78.28.25562
117174.78.29.0/26174.78.29.1 to 174.78.29.62174.78.29.6362
118174.78.29.64/26174.78.29.65 to 174.78.29.126174.78.29.12762
119174.78.29.128/26174.78.29.129 to 174.78.29.190174.78.29.19162
120174.78.29.192/26174.78.29.193 to 174.78.29.254174.78.29.25562
121174.78.30.0/26174.78.30.1 to 174.78.30.62174.78.30.6362
122174.78.30.64/26174.78.30.65 to 174.78.30.126174.78.30.12762
123174.78.30.128/26174.78.30.129 to 174.78.30.190174.78.30.19162
124174.78.30.192/26174.78.30.193 to 174.78.30.254174.78.30.25562
125174.78.31.0/26174.78.31.1 to 174.78.31.62174.78.31.6362
126174.78.31.64/26174.78.31.65 to 174.78.31.126174.78.31.12762
127174.78.31.128/26174.78.31.129 to 174.78.31.190174.78.31.19162
128174.78.31.192/26174.78.31.193 to 174.78.31.254174.78.31.25562
129174.78.32.0/26174.78.32.1 to 174.78.32.62174.78.32.6362
130174.78.32.64/26174.78.32.65 to 174.78.32.126174.78.32.12762
131174.78.32.128/26174.78.32.129 to 174.78.32.190174.78.32.19162
132174.78.32.192/26174.78.32.193 to 174.78.32.254174.78.32.25562
133174.78.33.0/26174.78.33.1 to 174.78.33.62174.78.33.6362
134174.78.33.64/26174.78.33.65 to 174.78.33.126174.78.33.12762
135174.78.33.128/26174.78.33.129 to 174.78.33.190174.78.33.19162
136174.78.33.192/26174.78.33.193 to 174.78.33.254174.78.33.25562
137174.78.34.0/26174.78.34.1 to 174.78.34.62174.78.34.6362
138174.78.34.64/26174.78.34.65 to 174.78.34.126174.78.34.12762
139174.78.34.128/26174.78.34.129 to 174.78.34.190174.78.34.19162
140174.78.34.192/26174.78.34.193 to 174.78.34.254174.78.34.25562
141174.78.35.0/26174.78.35.1 to 174.78.35.62174.78.35.6362
142174.78.35.64/26174.78.35.65 to 174.78.35.126174.78.35.12762
143174.78.35.128/26174.78.35.129 to 174.78.35.190174.78.35.19162
144174.78.35.192/26174.78.35.193 to 174.78.35.254174.78.35.25562
145174.78.36.0/26174.78.36.1 to 174.78.36.62174.78.36.6362
146174.78.36.64/26174.78.36.65 to 174.78.36.126174.78.36.12762
147174.78.36.128/26174.78.36.129 to 174.78.36.190174.78.36.19162
148174.78.36.192/26174.78.36.193 to 174.78.36.254174.78.36.25562
149174.78.37.0/26174.78.37.1 to 174.78.37.62174.78.37.6362
150174.78.37.64/26174.78.37.65 to 174.78.37.126174.78.37.12762
151174.78.37.128/26174.78.37.129 to 174.78.37.190174.78.37.19162
152174.78.37.192/26174.78.37.193 to 174.78.37.254174.78.37.25562
153174.78.38.0/26174.78.38.1 to 174.78.38.62174.78.38.6362
154174.78.38.64/26174.78.38.65 to 174.78.38.126174.78.38.12762
155174.78.38.128/26174.78.38.129 to 174.78.38.190174.78.38.19162
156174.78.38.192/26174.78.38.193 to 174.78.38.254174.78.38.25562
157174.78.39.0/26174.78.39.1 to 174.78.39.62174.78.39.6362
158174.78.39.64/26174.78.39.65 to 174.78.39.126174.78.39.12762
159174.78.39.128/26174.78.39.129 to 174.78.39.190174.78.39.19162
160174.78.39.192/26174.78.39.193 to 174.78.39.254174.78.39.25562
161174.78.40.0/26174.78.40.1 to 174.78.40.62174.78.40.6362
162174.78.40.64/26174.78.40.65 to 174.78.40.126174.78.40.12762
163174.78.40.128/26174.78.40.129 to 174.78.40.190174.78.40.19162
164174.78.40.192/26174.78.40.193 to 174.78.40.254174.78.40.25562
165174.78.41.0/26174.78.41.1 to 174.78.41.62174.78.41.6362
166174.78.41.64/26174.78.41.65 to 174.78.41.126174.78.41.12762
167174.78.41.128/26174.78.41.129 to 174.78.41.190174.78.41.19162
168174.78.41.192/26174.78.41.193 to 174.78.41.254174.78.41.25562
169174.78.42.0/26174.78.42.1 to 174.78.42.62174.78.42.6362
170174.78.42.64/26174.78.42.65 to 174.78.42.126174.78.42.12762
171174.78.42.128/26174.78.42.129 to 174.78.42.190174.78.42.19162
172174.78.42.192/26174.78.42.193 to 174.78.42.254174.78.42.25562
173174.78.43.0/26174.78.43.1 to 174.78.43.62174.78.43.6362
174174.78.43.64/26174.78.43.65 to 174.78.43.126174.78.43.12762
175174.78.43.128/26174.78.43.129 to 174.78.43.190174.78.43.19162
176174.78.43.192/26174.78.43.193 to 174.78.43.254174.78.43.25562
177174.78.44.0/26174.78.44.1 to 174.78.44.62174.78.44.6362
178174.78.44.64/26174.78.44.65 to 174.78.44.126174.78.44.12762
179174.78.44.128/26174.78.44.129 to 174.78.44.190174.78.44.19162
180174.78.44.192/26174.78.44.193 to 174.78.44.254174.78.44.25562
181174.78.45.0/26174.78.45.1 to 174.78.45.62174.78.45.6362
182174.78.45.64/26174.78.45.65 to 174.78.45.126174.78.45.12762
183174.78.45.128/26174.78.45.129 to 174.78.45.190174.78.45.19162
184174.78.45.192/26174.78.45.193 to 174.78.45.254174.78.45.25562
185174.78.46.0/26174.78.46.1 to 174.78.46.62174.78.46.6362
186174.78.46.64/26174.78.46.65 to 174.78.46.126174.78.46.12762
187174.78.46.128/26174.78.46.129 to 174.78.46.190174.78.46.19162
188174.78.46.192/26174.78.46.193 to 174.78.46.254174.78.46.25562
189174.78.47.0/26174.78.47.1 to 174.78.47.62174.78.47.6362
190174.78.47.64/26174.78.47.65 to 174.78.47.126174.78.47.12762
191174.78.47.128/26174.78.47.129 to 174.78.47.190174.78.47.19162
192174.78.47.192/26174.78.47.193 to 174.78.47.254174.78.47.25562
193174.78.48.0/26174.78.48.1 to 174.78.48.62174.78.48.6362
194174.78.48.64/26174.78.48.65 to 174.78.48.126174.78.48.12762
195174.78.48.128/26174.78.48.129 to 174.78.48.190174.78.48.19162
196174.78.48.192/26174.78.48.193 to 174.78.48.254174.78.48.25562
197174.78.49.0/26174.78.49.1 to 174.78.49.62174.78.49.6362
198174.78.49.64/26174.78.49.65 to 174.78.49.126174.78.49.12762
199174.78.49.128/26174.78.49.129 to 174.78.49.190174.78.49.19162
200174.78.49.192/26174.78.49.193 to 174.78.49.254174.78.49.25562
201174.78.50.0/26174.78.50.1 to 174.78.50.62174.78.50.6362
202174.78.50.64/26174.78.50.65 to 174.78.50.126174.78.50.12762
203174.78.50.128/26174.78.50.129 to 174.78.50.190174.78.50.19162
204174.78.50.192/26174.78.50.193 to 174.78.50.254174.78.50.25562
205174.78.51.0/26174.78.51.1 to 174.78.51.62174.78.51.6362
206174.78.51.64/26174.78.51.65 to 174.78.51.126174.78.51.12762
207174.78.51.128/26174.78.51.129 to 174.78.51.190174.78.51.19162
208174.78.51.192/26174.78.51.193 to 174.78.51.254174.78.51.25562
209174.78.52.0/26174.78.52.1 to 174.78.52.62174.78.52.6362
210174.78.52.64/26174.78.52.65 to 174.78.52.126174.78.52.12762
211174.78.52.128/26174.78.52.129 to 174.78.52.190174.78.52.19162
212174.78.52.192/26174.78.52.193 to 174.78.52.254174.78.52.25562
213174.78.53.0/26174.78.53.1 to 174.78.53.62174.78.53.6362
214174.78.53.64/26174.78.53.65 to 174.78.53.126174.78.53.12762
215174.78.53.128/26174.78.53.129 to 174.78.53.190174.78.53.19162
216174.78.53.192/26174.78.53.193 to 174.78.53.254174.78.53.25562
217174.78.54.0/26174.78.54.1 to 174.78.54.62174.78.54.6362
218174.78.54.64/26174.78.54.65 to 174.78.54.126174.78.54.12762
219174.78.54.128/26174.78.54.129 to 174.78.54.190174.78.54.19162
220174.78.54.192/26174.78.54.193 to 174.78.54.254174.78.54.25562
221174.78.55.0/26174.78.55.1 to 174.78.55.62174.78.55.6362
222174.78.55.64/26174.78.55.65 to 174.78.55.126174.78.55.12762
223174.78.55.128/26174.78.55.129 to 174.78.55.190174.78.55.19162
224174.78.55.192/26174.78.55.193 to 174.78.55.254174.78.55.25562
225174.78.56.0/26174.78.56.1 to 174.78.56.62174.78.56.6362
226174.78.56.64/26174.78.56.65 to 174.78.56.126174.78.56.12762
227174.78.56.128/26174.78.56.129 to 174.78.56.190174.78.56.19162
228174.78.56.192/26174.78.56.193 to 174.78.56.254174.78.56.25562
229174.78.57.0/26174.78.57.1 to 174.78.57.62174.78.57.6362
230174.78.57.64/26174.78.57.65 to 174.78.57.126174.78.57.12762
231174.78.57.128/26174.78.57.129 to 174.78.57.190174.78.57.19162
232174.78.57.192/26174.78.57.193 to 174.78.57.254174.78.57.25562
233174.78.58.0/26174.78.58.1 to 174.78.58.62174.78.58.6362
234174.78.58.64/26174.78.58.65 to 174.78.58.126174.78.58.12762
235174.78.58.128/26174.78.58.129 to 174.78.58.190174.78.58.19162
236174.78.58.192/26174.78.58.193 to 174.78.58.254174.78.58.25562
237174.78.59.0/26174.78.59.1 to 174.78.59.62174.78.59.6362
238174.78.59.64/26174.78.59.65 to 174.78.59.126174.78.59.12762
239174.78.59.128/26174.78.59.129 to 174.78.59.190174.78.59.19162
240174.78.59.192/26174.78.59.193 to 174.78.59.254174.78.59.25562
241174.78.60.0/26174.78.60.1 to 174.78.60.62174.78.60.6362
242174.78.60.64/26174.78.60.65 to 174.78.60.126174.78.60.12762
243174.78.60.128/26174.78.60.129 to 174.78.60.190174.78.60.19162
244174.78.60.192/26174.78.60.193 to 174.78.60.254174.78.60.25562
245174.78.61.0/26174.78.61.1 to 174.78.61.62174.78.61.6362
246174.78.61.64/26174.78.61.65 to 174.78.61.126174.78.61.12762
247174.78.61.128/26174.78.61.129 to 174.78.61.190174.78.61.19162
248174.78.61.192/26174.78.61.193 to 174.78.61.254174.78.61.25562
249174.78.62.0/26174.78.62.1 to 174.78.62.62174.78.62.6362
250174.78.62.64/26174.78.62.65 to 174.78.62.126174.78.62.12762
251174.78.62.128/26174.78.62.129 to 174.78.62.190174.78.62.19162
252174.78.62.192/26174.78.62.193 to 174.78.62.254174.78.62.25562
253174.78.63.0/26174.78.63.1 to 174.78.63.62174.78.63.6362
254174.78.63.64/26174.78.63.65 to 174.78.63.126174.78.63.12762
255174.78.63.128/26174.78.63.129 to 174.78.63.190174.78.63.19162
256174.78.63.192/26174.78.63.193 to 174.78.63.254174.78.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses